Name:           vagalume
Version:        0.8.5
Release:        %mkrel 1

Summary:        Last.fm client for GNOME and Maemo
Group:          Sound
License:        GPLv3
URL:            http://vagalume.igalia.com/
Source0:        vagalume-0.8.5.tar.xz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires:  libgstreamer0.10_0.10-devel
BuildRequires:  libnotify-devel 
BuildRequires:  desktop-file-utils 
BuildRequires:  gettext
BuildRequires:  dbus-glib-devel
BuildRequires:  libcurl-devel
BuildRequires:  libxml2-devel 
BuildRequires:  intltool >= 0.35.0
BuildRequires:  gtk2-devel 
Requires:       hicolor-icon-theme

%description
Vagalume is a Last.fm client based on Gnome, and specially designed to
work in the Maemo platform.

Vagalume has the following features:

   * It plays Last.fm streams using the Last.fm protocol v1.2
   * It can play any Last.fm radio: personal, neighbours, loved
     tracks, or any other arbitrary URL.
   * It can download free tracks
   * It implements the Audioscrobbler Realtime Submission Protocol
     v1.2, specifically:
      * Now Playing information
      * Scrobbling of tracks that you listen
      * Love/Ban ratings
   * It displays the album cover of the track being played
   * The user can tag artists, tracks and albums
   * The user can send recommendations to other users
   * The user can add tracks to their playlist


%prep
%setup -q -n %{name}-%{version}


%build
%configure2_5x

%make 

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std 
            
%find_lang %{name}

desktop-file-install --vendor="" \
	--remove-category="Application" \
	--add-category="X-MandrivaLinux-Multimedia-Sound" \
	--dir $RPM_BUILD_ROOT%{_datadir}/applications $RPM_BUILD_ROOT%{_datadir}/applications/*




%clean
rm -rf $RPM_BUILD_ROOT

%post 
%{update_menus}

%postun 
%{clean_menus}

%files -f %{name}.lang
%defattr(-,root,root,-)
%doc AUTHORS COPYING NEWS README
%{_bindir}/*
%{_datadir}/%{name}
%{_datadir}/dbus-1/services/%{name}.service
%{_datadir}/applications/*.desktop
%{_datadir}/icons/hicolor/*/apps/%{name}.png
%{_datadir}/pixmaps/vagalume.*
%{_mandir}/man*/*


%changelog
* Fri Aug 24 2012 Neal <nealbrks0 at gmail dot com> 0.8.5-1pclos2012
- process

* Fri Aug 11 2012 lxgator <lxgator@gmail.com> 0.8.5-1pclos2012
- 0.8.5

* Sun May 24 2009 Texstar <texstar@gmail.com> 0.7.1-2pclos2009
- fix rpm group

* Thu Mar 19 2009 slick50 <lxgator@gmail.com> 0.7.1-1pclos2007
- 0.7.1

* Wed Sep 03 2008 Slick50 <slick50@linuxgator.org> 0.7-1pclos2007
- Initial build
